Subject: [woes] mailing list name change

From: Sean Turner <[email-masked]>
Date: Thu, 01 Sep 2011 09:11:29 -0400

I just sent in the request to rename [email-masked] to [email-masked]. 
I'll get them to copy over the membership so people that are on the list 
shouldn't have to do anything.  I'll also get them to retain the archives.

spt